/*
Base
--------------- */
html {
  scroll-behavior: smooth;
  scroll-padding-top: 60px;
}
a.underline {
  border-bottom: none;
}
.yosakoi2026 {
  font-size: 16px;
  padding-bottom: 60px;
}
/*
Layout
--------------- */
.ly_container {
  position: relative;
  max-width: 800px;
  margin-right: auto;
  margin-left: auto;
}
/*
Unique
--------------- */
/* 見出し */
.un_heading_1 {
  font-size: 22px;
  display: flex;
  -moz-column-gap: 10px;
  column-gap: 10px;
  border: solid 1px #07816d;
  margin-bottom: 30px;
}
.un_heading_1 > span {
  font-size: 18px;
  background-color: #07816d;
  color: #fff;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 10px;
}
.un_heading_1 > .un_heading_content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 10px;
  color: #07816d;
}
.un_heading_2 {
  font-size: 18px;
  border-bottom: solid 1px #333;
  padding-bottom: 5px;
}
.un_heading_3 {
  font-size: 22px;
  border-top: solid 1px #222;
  border-bottom: solid 1px #222;
  padding-block: 10px;
}
.un_heading_4 {
  font-size: 18px;
  background-color: #07816d;
  color: #fff;
  padding: 0.5em 0.8em;
}
/*
タツトリさんがチームとコラボ
------------------------- */
.un_tatsutorisan_unit {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  align-items: end;
  gap: 20px;
}
.un_tatsutorisan > figcaption {
  background-color: #ededed;
  font-size: 13px;
  line-height: 1;
  padding-block: 5px;
}
/*
北のふーどパーク
------------------------- */
.un_food_unit {
  display: flex;
  -moz-column-gap: 40px;
  column-gap: 40px;
  padding-bottom: 30px;
  margin-bottom: 30px;
}
.un_food_unit:nth-of-type(1),
.un_food_unit:nth-of-type(3),
.un_food_unit:nth-of-type(4) {
  border-bottom: solid 1px #ccc;
}
.un_food_logo {
  flex-shrink: 0;
}
.un_food_cont {
  flex-grow: 1;
}
.un_food_table {
  width: auto;
  border-collapse: collapse;
  font-size: 15px;
}
.un_food_table th,
.un_food_table td {
  border: solid 1px #666;
  padding: 5px 8px;
  text-align: left;
}
.un_food_photos {
  display: flex;
  -moz-column-gap: 15px;
  column-gap: 15px;
}
.un_food_photo {
  aspect-ratio: 1/1;
  background-color: #eee;
  max-width: 200px;
}
.un_food_photo > img {
  -o-object-fit: contain;
  object-fit: contain;
  width: 100%;
  height: 100%;
}
/*
どさんこパーク
------------------------- */
.un_parkshop_table {
  width: 100%;
  border-collapse: collapse;
  font-size: 15px;
}
.un_parkshop_table th {
  white-space: nowrap;
  min-width: 200px;
}
.un_parkshop_table td {
  width: 100%;
}
.un_parkshop_table th,
.un_parkshop_table td {
  border: solid 1px #666;
  padding: 5px 8px;
  text-align: left;
}
.un_parkshop_photos {
  display: grid;
  grid-template-columns: 200px 200px;
  justify-content: center;
  gap: 15px;
  margin-bottom: 40px;
}
.un_parkshop_photo {
  aspect-ratio: 1/1;
  background-color: #eee;
}
.un_parkshop_photo > img {
  -o-object-fit: contain;
  object-fit: contain;
  width: 100%;
  height: 100%;
}
/*
ポップアップ会場
------------------------- */
.un_popup_link {
  display: flex;
  justify-content: center;
  margin-block: 30px;
}
.un_popup_link > a {
  display: block;
  padding-block: 0.8em;
  width: 100%;
  max-width: 400px;
  background-color: #bb4eb5;
  color: #fff;
  text-align: center;
  border-radius: 4px;
  font-weight: bold;
  position: relative;
  transition: opacity 0.3s ease;
  cursor: pointer;
}
.un_popup_link > a:hover {
  opacity: 0.8;
}
.un_popup_link > a::after {
  content: "\f054";
  font-family: "Font Awesome 7 Free";
  font-weight: 900;
  position: absolute;
  right: 20px;
  top: 50%;
  transform: translateY(-50%);
}
/*
映像参加企画
------------------------- */
.un_youtube_list {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  -moz-column-gap: 15px;
  column-gap: 15px;
  margin-bottom: 30px;
}
.un_youtube_list > figure {
  border: solid 1px #ccc;
  border-radius: 4px;
  padding: 1px;
}
/*
概要
------------------------- */
.un_summary_table {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.un_summary_table > dl {
  display: flex;
}
.un_summary_table > dl > dt {
  flex-shrink: 0;
}
.un_summary_table > dl > dd {
  flex-grow: 1;
}
/* 会場 */
.un_map_table {
  width: 100%;
}
.un_map_table table {
  border: solid 1px #808080;
  border-collapse: collapse;
  min-width: 500px;
  font-size: 14px;
}
.un_map_table table thead {
  background-color: #666;
  color: #fff;
}
.un_map_table table th,
.un_map_table table td {
  padding: 5px 8px;
  white-space: nowrap;
  border: solid 1px #808080;
}
.un_map_table table tbody > tr:nth-child(even) {
  background-color: #eee;
}
/* スポンサー一覧 */
.un_sponsors {
  display: grid;
  grid-template-areas: "a b c" "d d d";
  grid-template-columns: auto auto auto;
  -moz-column-gap: 20px;
  column-gap: 20px;
  row-gap: 20px;
}
.un_sponsors > figure:nth-of-type(1) {
  grid-area: a;
}
.un_sponsors > figure:nth-of-type(2) {
  grid-area: b;
}
.un_sponsors > figure:nth-of-type(3) {
  grid-area: c;
}
.un_sponsors > figure:nth-of-type(4) {
  grid-area: d;
}
/* スケジュール */
/* 公式サイトリンク */
.un_official_link {
  display: flex;
  justify-content: center;
  align-items: center;
  padding-block: 30px;
}
.un_official_link > a {
  padding: 1em 1.5em;
  background-color: #00418f;
  color: #fff;
  font-size: 20px;
  font-weight: bold;
  border-radius: 6px;
  line-height: 1;
  display: flex;
  align-items: center;
  gap: 10px;
  transition: opacity 0.3s ease;
}
.un_official_link > a:hover {
  opacity: 0.8;
}
.un_official_link > a::after {
  content: "\f054";
  font-family: "Font Awesome 7 Free";
  font-weight: 900;
}
